
#include "Defines_datas_2024-0211.h"
void Init_CG9A01(void);

/*
LCD-DST-3014 GC9A01 Datasheet V1.0 Preliminary 101 / 192
6.2.3. Enter Sleep Mode (10h)
6.2.4. Sleep Out Mode (11h)
6.2.5. Partial Mode ON (12h)
6.2.6. Normal Display Mode ON (13h)
6.2.7. Display Inversion OFF (20h)
6.2.8. Display Inversion ON (21h)
6.2.10. Display ON (29h)
6.2.11. Column Address Set (2Ah)  CASET
6.2.12. Row Address Set (2Bh)     PASET
6.2.13. Memory Write (2Ch)
        command WRite Memory   (2C)  RAMWR 
6.2.14. Partial Area (30h)
6.2.15. Vertical Scrolling Definition (33h)
       1er word  
6.2.16. Tearing Effect Line OFF (34h)
6.2.17. Tearing Effect Line ON (35h)
6.2.18. Memory Access Control(36h) Memory Access Control
        8  4  2  1  8   4  2  1
        MY MX MV ML BGR MH  0  0
        bit 2 =MH= Horizontal Refresh ORDER
		bit 3 =BRG  (RGB ou BGR Order) 0=RGB
		bit 4  ML Vertical Refresh Order
	   These 3 bits control MCU to memory write/ read direction.
		bit 5 MV Row / Column Exchange
		bit 6 MX Column Address Order
		bit 7 MY Row Address Order
 6.2.19. Vertical Scrolling Start Address (37h) 
       sens scrolling  MADCTL B4=0 vers le haut     B4=1 => vers le bas 
 6.2.20. Idle Mode OFF (38h)		
 6.2.21. Idle Mode ON (39h)    8 color depth data is displayed.
 6.2.22. COLMOD: Pixel Format Set (3Ah)    
 6.2.23. Write Memory Contiue (3Ch)
  transfers image data from the host processor to the display module?s frame memory continuing
  6.2.25. Get_Scanline (45h)
  6.2.26. Write Display Brightness ( 51h)   0  FF
  6.2.27. Write CTRL Display (53h)
           0 0 BCTRL 0 DD BL 0 0
			BL =1  backlight ON
  6.2.28. Read ID ID1 (DAh)
  6.2.24. Set_Tear_Scanline (44h)
		
		
Ecriture dans le mauvais sens horizontal
#define GC9A01_MADCTL		0x36
#define GC9A01_MADCTL_MY  	0x80    bit B7
#define GC9A01_MADCTL_MX  	0x40    bit B6
#define GC9A01_MADCTL_MV  	0x20    bit B5 ! extra 240 ->320 ???
sur Power on, HW reset, ou SW reset
If MADCTL?s B5 = 0: EP [15:0]=00EFh
If MADCTL?s B5 = 1: EP [15:0]=013Fh
 * */